<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
xmlns:ui="http://java.sun.com/jsf/facelets"
xmlns:f="http://java.sun.com/jsf/core"
xmlns:h="http://java.sun.com/jsf/html"
xmlns:c="http://java.sun.com/jsp/jstl/core"
xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
xmlns:p="http://primefaces.org/ui"
xmlns:pe="http://primefaces.org/ui/extensions" ng-app="myProject">
	
	<head>
		<title>SATA - Sharjah Airport Travel Agency</title>
		<meta name="description" content="SATA is a full service travel agency with 9 branches located in Sharjah, Ajman and RAK. Six of our branches are IATA accredited and rests of the branches are in the process of attaining IATA accreditation. It is the only travel agency in the Emirate of Sharjah which is wholly owned by Government of Sharjah." />
		<meta name="keywords" content="SATA, Sharjah Airport Travel Agency, Travel, Agency, Airport, Visa Service, IATA, Government of Sharjah, low-cost airlines" />
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
		<link href="app/assets/css/main.css" rel="stylesheet" type="text/css" />
		<link rel="image_src" href="app/images/sata-logo.png" />
		<link rel="shortcut icon" type="image/x-icon" href="app/images/favicon.ico" />
		<link rel="stylesheet" href="app/plugins/bootstrap/css/bootstrap.css" type="text/css" media="screen" />
		<link rel="stylesheet" href="app/assets/fonts/font-awesome/css/font-awesome.min.css" type="text/css" media="screen" />
		<link rel="stylesheet" href="app/plugins/jQuery-ui/jquery-ui.css" type="text/css"/>
		<link href="app/assets/css/lobibox.css" rel="stylesheet" media="screen"/>
		<link href="app/assets/css/custom.css" rel="stylesheet" media="screen"/>
		<link href="app/assets/css/custom-new.css" rel="stylesheet" media="screen"/> 
		<link rel="stylesheet" type="text/css" href="app/plugins/rs-plugin/css/settings2.css" media="screen" />
		<link href="plugins/kGallery/kGallery.css" rel="stylesheet" />
		<link href="app/assets/css/editor.css" rel="stylesheet" />
		
		<script type="text/javascript" src="app/assets/angular/angular.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-resource.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-repeat-n.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-route.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-route-segment.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/checklist-model.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-cookies.js"></script>
		<script type="text/javascript" src="app/assets/angular/ng-tasty-tpls.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-touch.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/angular-sanitize.min.js"></script>
		<script type="text/javascript" src="app/assets/angular/ng-file-upload.js"></script>
		<script type="text/javascript" src="app/assets/angular/app.js"></script>
		
		<script type="text/javascript" src="app/assets/js/jquery.validate.min.js"></script>
		<script type="text/javascript" src="app/plugins/bootstrap/js/bootstrap.min.js"></script>
		
	</head>
	<body class="register" onload='document.registerForm.passwordCreate.focus();'>
		
		<section>
			<div class="registerPanel">
				<div class="row">
					<div class="logopanel col-md-3 col-md-offset-4 text-center">
						<h2>
							<img src="app/images/sata-logo1.png" alt="logo"/>
						</h2>
					</div>
					<!-- logopanel -->
				</div>
				<div class="row">
					<div class="col-md-5 col-md-offset-3">
						
						<div class="error-message" style="color:red; text-align:center; padding:5px; display:none;"></div>
						<div class="success-message" style="color:green; text-align:center; padding:5px; display:none;"></div>
						
						<form name="validateForm" id="validateForm">
							<div class="row">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class="form-group">
										<label class="control-label"><span class="star">Email Id</span></label>
										<div class="input-group col-xs-12 col-sm-8 col-md-8 col-lg-8">
											<input type="email" id="travelEmail" name="travelEmail" value="" class="form-control borderRads" placeholder="Enter your mail id" readonly="true" />
										</div>
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class="col-xs-4 col-sm-4 col-md-3 col-lg-3 pad0">
										<button onclick="userValidate();" type="submit" class="btn btn-primary">Submit</button>
									</div>
									<div class="col-xs-8 col-sm-6 col-md-5 col-lg-5 loading mt5" style="display: none;">
										<span style="padding-right: 15px;">Please wait...</span>
										<img src="app/images/loaders/loader4.gif" alt="loading..." />
									</div>
								</div>
							</div>
						</form>
						<form name="registerForm" style="display: none;" id="registerForm">
							<div class="row">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class="form-group">
										<label class=""><span class="star">Email Id</span></label>
										<div class="input-group col-xs-12 col-sm-8 col-md-6 col-lg-6">
											<input type="email" id="travelEmailId" name="travelEmailId" value="" class="form-control borderRads" placeholder="Enter your mail id" readonly="true" />
										</div>
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class="form-group">
										<label class=""><span class="star">Create Password</span></label>
										<div class="input-group col-xs-12 col-sm-9 col-md-6 col-lg-6">
											<input type="password" value="" id="passwordCreate" name="passwordCreate" autocomplete="off" class="form-control borderRads pword" placeholder="Choose a Password" />
										</div>
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class="form-group">
										<label class=""><span class="star">Confirm Password</span></label>
										<div class="input-group col-xs-12 col-sm-9 col-md-6 col-lg-6">
											<input type="password" value="" id="password_again" name="password_again" autocomplete="off" class="form-control borderRads pword" placeholder="Repeat the Password" />
										</div>
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class="form-group mb10">
										<label class=""><span class="star">User Name</span></label>
										<div class="input-group col-xs-4 col-sm-3 col-md-2 col-lg-2">
											<select class="form-control borderRads" value="" id="travellerTitle" name="travellerTitle" style="padding: 6px;" >
												<option value="">Title</option>
												<option value="MR">Mr</option>
												<option value="MS">Ms</option>
												<option value="MRS">Mrs</option>
											</select>
										</div>
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-6 col-lg-6" style="padding-right: 0;">
									<div class="form-group">
										<div class="input-group col-xs-12 col-sm-9 col-md-12 col-lg-12">
											<input type="text" value="" name="travellerFname" id="travellerFname" class="form-control borderRads" placeholder="First Name" />
										</div>
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
									<div class="form-group">
										<div class="input-group col-xs-12 col-sm-9 col-md-12 col-lg-12">
											<input type="text" value="" name="travellerLname" id="travellerLname" class="form-control borderRads" placeholder="Last Name" />
										</div>
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb15">
									<div class="form-group">
										<label class="">
											<span class="star">Contact No</span>
										</label>
										<div class="">
											<div class="col-xs-4 col-sm-3 col-md-2 col-lg-2 pad0">
												<input type="text" value="" name="travellerCc" id="travellerCc" class="form-control borderRads" maxlength="5" placeholder="Code" />
											</div>
											<div class="col-xs-12 col-sm-9 col-md-6 col-lg-6">
												<input type="text" value="" name="travellerMobile" id="travellerMobile" class="form-control borderRads" maxlength="10" placeholder="Enter your mobile number" />
											</div>
										</div>
									</div>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
									<div class=" col-xs-8 col-sm-5 col-md-7 col-lg-7 text-right">
										<button onclick="createAccnt()" type="submit" class="btn btn-primary">Create Account</button>
									</div>
									<div class="col-xs-12 col-sm-6 col-md-5 col-lg-5 mt5 loading hidden-xs" style="display: none;">
										<span style="padding-right: 15px;">Please wait...</span>
										<img src="app/images/loaders/loader4.gif" alt="loading..." />
									</div>
									<div class="col-xs-4 col-sm-6 col-md-5 col-lg-5 offset-0 visible-xs loading" style="display: none;">
										<span style="padding-right: 15px;">Please wait...</span>
										<img src="app/images/loaders/loader4.gif" alt="loading..." />
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 mt20">
						<div class="signup-footer col-md-5 col-md-offset-3">
							<div class="pull-left">&copy; 2014. All Rights Reserved.
							Convergent Technology Solutions Pvt Ltd. India</div>			
						</div>
					</div>
				</div>
			</div>
		</section>
		<style>
			.mb15{margin-bottom: 15px;}
			.required { border: 1px solid red; }
			body { overflow-y:auto !important; overflow-x: hidden; }
			.loading {top:10px;}
			.registerPanel form {
			background: rgba(255, 255, 255, 0.2) none repeat scroll 0 0;
			border: 1px solid #ccc;
			border-radius: 3px;
			box-shadow: 0 3px 0 rgba(12, 12, 12, 0.03);
			padding: 30px;
			}
			body{
			background-color: #e4e7ea !important;
			}
			.mt20{margin-top: 20px;}
			label.error:empty {display: none !important;}
			label.error {display: none !important;}
			.registerPanel .pword {background: #fff url("app/images/locked.png") no-repeat scroll 95% center;}
			span.star::after {
			color: red;
			content: "*"; 
			}
			.pad0{padding: 0;}
		</style>
		<script>
			var user_email = getUserEmail();
			document.getElementById('travelEmail').value = user_email;
			document.getElementById('travelEmailId').value = user_email;
			var $valid = jQuery('#validateForm').valid();
			function userValidate(){
				var userValidateReq = '{"loginid":"'+user_email+'","triggermail":"N"}';
				if(!$valid) {
					return false;
					} else {
					$('.loading').show();
					$.post("rest/user/validate", userValidateReq, function(result){
						$('.loading').hide();
						var resultData = JSON.parse(result);
						if(resultData.data.userRegistered=='N') {
							$('#registerForm').show();
							$('#validateForm').hide();
							}else{
							Lobibox.alert('success',
							{
								msg: "It's seems to be you've registered with us already. Please login to continue your account."
							});
							setTimeout(function(){
								location.assign('home.jsf');
							},3000)
						}
					})
				}
			}
			
			var user_id = getUserId();
			var $validator = jQuery("#registerForm").validate({
				rules: {
					passwordCreate: "required",
					travellerTitle: "required",
					travellerFname: "required",
					travellerLname: "required",
					travellerCc: "required",
					travellerMobile: "required",
					password_again: {
						equalTo: "#passwordCreate"
					}
				},
				highlight: function(element) {
					jQuery(element).closest('.form-group').removeClass('has-success').addClass('has-error');
				},
				success: function(element) {
					jQuery(element).closest('.form-group').removeClass('has-error');
				}
			});
			function createAccnt() {
				var password = document.getElementById('passwordCreate').value;
				var password_again = document.getElementById('password_again').value;
				var salutation = document.getElementById('travellerTitle').value;
				var fname = document.getElementById('travellerFname').value;
				var lname = document.getElementById('travellerLname').value;
				var mobileCc = document.getElementById('travellerCc').value;
				var mobileNo = document.getElementById('travellerMobile').value;
				//var user_email = getUserEmail();
				var userRegisterReq = '{"loginid":"'+user_email+'","userid":"'+user_id+'","password":"'+password+'","confirmpassword": "'+password_again+'","profiledata":{"userid":"'+user_id+'","personaldata":{"salutation":"'+salutation+'","fname":"'+fname+'","lname":"'+lname+'","mobcntrycode":"'+mobileCc+'","mobile":"'+mobileNo+'","email":"'+user_email+'"} }}';
				var $valid = jQuery('#registerForm').valid();
				if(!$valid) {
					return false;
					} else {
					$('.loading').show();
					$.post("rest/user/register", userRegisterReq, function(result){
						var resultData = JSON.parse(result);
						if(resultData.status=='SUCCESS') {
							$('.loading').hide();
							$('.error-message').hide();
							var user_name = user_email;
							var user_pass = $('#password_again').val();
							$.ajax({
								url: "rest/user/signin",    
								data: '{ "userName" : "'+user_name+'", "password" : "'+user_pass+'"}',
								type: "POST",
								success: function(result) {
									var result = JSON.parse(result);
									if (result.status == "SUCCESS") {
										location.assign('home.jsf');
										return true;
									} 
									else if (result.status == "FAILURE"){
										$('.error-message').text(result.errorMessage).show();
										return false;
									}
								},
								error: function(XMLHttpRequest, textStatus, errorThrown){       
									return false; 
								}
							});
						} else {
							$('.loading').hide();
							$('.success-message').hide();
							$('.error-message').text(resultData.errorMessage).show();
						}
						$('#registerForm')[0].reset();
					});
				}
			}
			function getUserEmail() {
				var queryStr = location.search;
				var queryStrSplt = queryStr.split('=');
				var mailStrSplt = queryStrSplt[1];
				var umail = mailStrSplt.split('&amp;')[0];
				return umail;
			}
			function getUserId() {
				var queryStr = location.search;
				var queryStrSplt = queryStr.split('&amp;');
				var uid = queryStrSplt[1];
				return uid;
			}
		</script>	
	</body>
</html>			